Create Issue Dispute
https://app.fossa.com/api/v2/issues/{issueId}/disputesCreates an issue dispute. Supports licensing, quality and malware issue disputes. The dispute type is determined by the category of the specified issue. Vulnerability issues are only disputable here when they are malware issues; CVE disputes are handled by the v1 dispute endpoint.
Path parameters
issueIdintegerrequiredID of the issue that is being disputed.
Request body (required) · application/json
reasonenumrequiredThe reason why this issue is being disputed. License dispute reasons: INCORRECT_DEPENDENCY_VERSION_REPORTED, LICENSE_DETECTION_FALSE_POSITIVE, MULTI_OR_DUAL_LICENSED, INCORRECT_LICENSE_CONCLUSION. Quality dispute reasons: INCORRECT_STALENESS_REPORTED, INCORRECTLY_FLAGGED_ABANDONWARE, INCORRECTLY_FLAGGED_EMPTY. Malware dispute reasons: FALSE_POSITIVE.
INCORRECT_DEPENDENCY_VERSION_REPORTEDLICENSE_DETECTION_FALSE_POSITIVEMULTI_OR_DUAL_LICENSEDINCORRECT_LICENSE_CONCLUSIONINCORRECT_STALENESS_REPORTEDINCORRECTLY_FLAGGED_ABANDONWAREINCORRECTLY_FLAGGED_EMPTYFALSE_POSITIVEcommentstringAny additional information that is important for this dispute.
Responses
200The created dispute.400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/v2/issues/1/disputescurl --request POST \ --url 'https://app.fossa.com/api/v2/issues/1/disputes' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "reason": "INCORRECT_DEPENDENCY_VERSION_REPORTED"}'Real request. Mutating methods can change data.
Path params
issueIdintegerrequiredID of the issue that is being disputed.